<!-- In this scenario, Chromium doesn't emit a webNavigation.onCommitted event
     for the frame, requiring a workaround to detect such frames. -->
<iframe srcdoc=""></iframe>
<script>
  let {contentDocument} = document.querySelectorAll("iframe")[0];
  contentDocument.write("<img src='image.png'>");
  contentDocument.close();
</script>
